Microsoft Management Console

Microsoft Management Console (MMC) hosts administrative tools that users and system administrators can use to administer networks, computers, services, and other system components.

  • For help with specific tasks, see
  • For general background information, see
  • For information about accessibility features, see
  • For problem-solving instructions, see


How To...

This section provides instructions to:


Use MMC Consoles


Open a saved MMC console for a local computer

To open a saved MMC console for a local computer

  • Click Start, point to Programs, and then do one of the following:
    • Point to Administrative Tools (Common), and then click the applicable tool.
    • Point to My Administrative Tools or another folder where your saved MMC console (.msc) files are located, and then click the saved console.
    • Click the the applicable tool on the Programs menu.


Open a saved MMC console for a remote computer

To open a saved MMC console for a remote computer

  • Click Start, point to Programs, and then do one of the following:
    • Point to My Administrative Tools, and then click the applicable tool.
    • Open the folder where your saved MMC console (.msc) files are located, and then double-click the saved console.


Create or Modify MMC Consoles


Open MMC from the command prompt

To open MMC from the command prompt

  • At the command prompt, type:

    • mmc

The complete command-line syntax for MMC is:

mmc path\filename.msc /a /s

path\filename.msc

Starts MMC and opens a saved console. You need to specify the complete path and file name for the saved console file. If you don't specify a console file, MMC opens a new console.

If the path to an MMC console file is in the system folder (for example, mmc c:\winnt\system32\console_name.msc), you can use the expandable data string %systemroot% to specify the location (mmc %systemroot%\system32\console_name.msc).

You can use %systemroot% to create a command line or shortcut that does not depend on the explicit location of a console file. This is useful if you are delegating tasks to people in your organization who are working on different computers.

/a

Used to make changes to saved consoles or to create new consoles. When MMC is started with this switch, all console files are opened in author mode, even when the default mode for a file is user mode. This does not change the default mode setting for a file. When you omit this option, MMC opens console files according to their default mode settings.

/s

Prevents display of the splash screen that normally appears when MMC starts.

Notes

  • After you open MMC, you can open any existing console by clicking Open on the Console menu. The Open command opens a console file in the mode in which it was saved, unless you started MMC with the /a option.
  • You can use the command line to create shortcuts for creating and using consoles. A command-line command works with the Run command on the Start menu, in any command-prompt window, in shortcuts, or in any batch file or program that calls the command.


Create a Console Tree


Add an item to an MMC console for a local computer

To add an item to an MMC console for a local computer

  1. Click Start, click Run, type mmc /a, and then click OK.
  2. On the Console menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, double-click the item you want to add, and do one of the following:
    • Click Close, and then click OK.
    • Click Local computer: (the computer this console is running on), and then click Finish.
    • If a wizard appears, follow the instructions on your screen.
  4. To add another item to the console, repeat step 3.

Notes

  • If a console is saved to the default location, it is then available in the My Administrative Tools folder on the Start, Programs menu.
  • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in.
  • To add an item so that it is subordinate to an item in the console tree other than Console Root, click the appropriate item in Snap-ins added to before you click Add in step 2.


Add an item to an MMC console for a remote computer

To add an item to an MMC console for a remote computer

  1. Click Start, click Run, type mmc /a, and then click OK.
  2. On the Console menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, double-click the item you want to add, and do one of the following:
    • Click Another computer, type the name of the computer you want this snap-in to manage, and then click Finish.
    • If a wizard appears, follow the instructions on your screen.
  4. To add another item to the console, repeat step 3.

Notes

  • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in on the remote computer.
  • If the Select Computer dialog box or a wizard does not appear in Step 3, you can use the snap-in to administer your local computer only.
  • If a console is saved to the default location, it is then available in the My Administrative Tools folder on the Start, Programs menu.
  • To add an item so that it is subordinate to an item in the console tree other than Console Root, click the appropriate item in Snap-ins added to before you click Add in step 2.


Add an extension snap-in or other item to an MMC console

To add an extension snap-in or other item to an MMC console
  1. Click Start, click Run, type mmc /a, and then click OK.
  2. On the Console menu, click Add/Remove Snap-in, and then click the item that you want to extend.
  3. On the Extensions tab, under Available extensions, click the extension you want to add, and then click OK.

Note

  • If you want to add every extension available for a given item, on the Extensions tab, select the Add all extensions check box.


Install a program managed by an MMC snap-in

To install a program managed by an MMC snap-in

  1. Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Follow the instructions on your screen.


Modify a Console


Rename an item on the console tree of an MMC console

To rename an item on the console tree of an MMC console
  1. In an open console, in the console tree, click the item that you want to rename.
  2. On the Action menu, click Rename.

Note

  • Not all items in the console tree can be renamed. If the Rename command does not appear on the Action menu, then you may not be able to rename the item.


Remove a snap-in or other item from an MMC console

To remove a snap-in or other item from an MMC console
  1. Open the console you want to modify.
  2. On the Console menu, click Add/Remove Snap-in, and then click the item you want to remove.
  3. Click Remove, and then click OK.


Make a new console window from an existing MMC console

To make a new console window from an existing MMC console
  1. Click Start, click Run, and then do one of the following:
    • To open a saved console in author mode, type mmc path\filename.msc /a /s, and then click OK.
    • To open a new console in author mode, type mmc /a, and then click OK.
  2. On the Window menu, click New Window.

Note

  • You can use this procedure to create a new console window that is rooted at the Console Root folder.


Make a new console window from part of an MMC console tree

To make a new console window from part of an MMC console tree
  1. Click Start, click Run, and then do one of the following:
    • To open a saved console in author mode, type mmc path\filename.msc /a /s, and then click OK.
    • To open a new console in author mode, type mmc /a, and then click OK. You can then add items to the console tree to create a new tool.
  2. Click the item in the console tree that you want to become the console root of the new console.
  3. On the Action menu, click New window from here.


Work with Console Windows


Hide or display the console tree of an MMC console

To hide or display the console tree of an MMC console
  1. Click Start, click Run, and then do one of the following:
    • To open a saved console in author mode, type mmc path\filename.msc /a /s, and then click OK.
    • To open a new console in author mode, type mmc /a, and then click OK.
  2. On the View menu, click Console Tree.


Hide or display the description bar of an MMC console

To hide or display the description bar of an MMC console
  1. Click Start, click Run, and then do one of the following:
    • To open a saved console in author mode, type mmc path\filename.msc /a /s, and then click OK.
    • To open a new console in author mode, type mmc /a, and then click OK.
  2. On the View menu, click Description Bar.


Hide or display a toolbar on an MMC console

To hide or display a toolbar on an MMC console
  1. Click Start, click Run, and then do one of the following:
    • To open a saved console in author mode, type mmc path\filename.msc /a /s, and then click OK.
    • To open a new console in author mode, type mmc /a, and then click OK.
  2. On the View menu, point to Toolbars, and then click the toolbar you want to hide or display.


Set MMC console options

To set MMC console options

  1. Open an MMC console.
  2. On the Console menu, click Options, and do the following:
    • To set options that apply to all consoles opened by you, click the User tab.
    • To change the default mode for the console, click the Console tab.

Notes

  • You can set the default mode to one of four options:
    • Author Mode: Gives a user complete access to all MMC commands.
    • User Mode - Full Access: Displays the entire console tree, but prevents users from adding or removing snap-ins or changing console properties.
    • User Mode - Delegated Access, Multiple Window: Displays only portions of the console tree and prevents users from adding or removing snap-ins, or changing console properties.
    • User Mode - Delegated Access, Single Window: Same as delegated access for multiple windows, but prevents users from creating new windows.
  • If any of the following conditions apply, the default mode for a console is ignored and a console is opened in author mode:
    • MMC is already running in author mode when a console is opened.
    • A console is opened in Windows NT Explorer by using the shortcut menu command, which opens a console in author mode.
    • A console is opened at the command prompt with the /a option.
    • The Always open all console files in Author mode check box is selected.
  • The ability to author and change consoles may not be necessary if a user only needs to administer system components with existing consoles. If this is the case, you can configure a user's profile so that MMC opens only in user mode.


Save an MMC console

To save an MMC console
  • In an open MMC console, click Console, and then click Save.

Notes

  • To save a console, you must have opened the console in author mode.
  • If a custom console is saved to the default location, it is then available in the My Administrative Tools folder on the Start, Programs menu.


Concepts

This section provides general background information about Microsoft Management Console:


Introduction to MMC

Microsoft Management Console (MMC) is a tool you can use to create, save, and open administrative tools (called MMC consoles) that manage the hardware, software, and network components of your Windows NT system. (You can also run MMC on the Windows 95 and Windows 98 operating systems.) MMC provides the following advantages:

  • A common interface: MMC provides a single user interface to from which to run all administrative tools.
  • Integration: MMC integrates all of the tools required to perform administrative tasks.
  • Configurable: MMC configures tools that act on specific system components.
  • Reproducible: MMC saves assembled tools and configurations that you can open and use on other computers.

MMC does not perform administrative functions, but hosts programs, called snap-ins, that do. You can add snap-ins to any MMC console and configure them to administer a system component.

There are two main ways that you can use MMC: in user mode, working with existing MMC consoles to administer a system, or in author mode, creating new consoles or modifying existing MMC consoles. For more information about user and author mode, see


Understanding MMC

Programs called snap-ins form the basic administrative components of an MMC console. A console can contain a single snap-in or multiple snap-ins. For example, a particular administrative tool may exist alone in a console, or the tool may be bundled with all the snap-ins, controls, World Wide Web pages, and other items required to manage a system component. Such a console can provide all the administrative capabilities, system and historical information, tasks, and instructions a user needs to complete a set of tasks.

After a console is created, it is saved as a file with an .msc extension. Any snap-in settings for administering specific components or computers are saved with the console.

This section provides general information about understanding MMC:


MMC consoles

An MMC console consists of one or more windows that assemble the tools, controls, tasks, wizards, and documentation required to administer specific components of a Windows NT network.

Consoles are saved as files with an .msc extension. All the configuration settings for the tools and controls are saved with the console and restored when the console file is opened. You can open a console file on different computers or even different networks and restore the saved settings for all the tools.

The left pane of a console is called the console tree and the right pane is called the details pane. The console tree shows which items are available in a given console. The details pane contains information about and functions pertaining to these items. As you click different items in the console tree, the contents of the details pane changes.

Each console has its own menus and toolbar, separate from those of the main MMC window, that help the user perform tasks. For more information about the main MMC window, see

To view a new MMC console, see


Understanding MMC in Author Mode

You can use MMC to create new consoles and modify existing consoles. To create an administrative tool, you add snap-ins and other items to a console. You can create additional console windows, based on the administrative functions of the console, that provide views of the various items that make up a console. After the console is saved, you can distribute it to users.

This section provides general information about MMC for users who want to create custom tools:


The MMC window

The components of an MMC console are contained in the MMC window. The MMC window has several menus and a toolbar that provide the commands to open, create, and save MMC consoles. The menu and toolbar on the MMC window are called the main menu bar and the main toolbar, respectively. In addition, there is a status bar at the bottom of the window.

To open a new console to view the MMC window, see

When you open a new MMC console, a console window appears in the workspace in the MMC window. In the console window, you can assemble and configure a new console and work with the administrative components of an assembled console. After you add items to a console, you can hide the main menu bar, main toolbar, and status bar. This prevents users from making unnecessary changes to the console.

For instructions on working with MMC consoles, see


Snap-ins

A snap-in is the basic component of an MMC console. Snap-ins always reside in a console; they do not run by themselves.

When a component is installed on the Windows NT operating system and has a snap-in associated with it, the snap-in becomes available to anyone creating a console. You can add the snap-in to a console alone or with multiple snap-ins or other items. In addition, you can add separate instances of a snap-in to the same console to administer different computers.

Stand-alone and extension snap-ins

MMC supports two types of snap-ins: stand-alone snap-ins and extension snap-ins. A stand-alone snap-in, usually called a snap-in, can be added to a console tree without adding another item first. An extension snap-in, usually called an extension, is always added to a stand-alone or extension snap-in that is already on the console tree. A stand-alone snap-in does not require extensions, but when it does, the extensions operate on the objects controlled by the snap-in, such as a computer, printer, modem, or other device.


The console tree and console root

The console tree (in the left pane of an MMC console) shows the items that are available in a console. These items can include folders, stand-alone and extension snap-ins, controls, World Wide Web pages, and other administrative tools.

To open a new console to view the console tree, see

In a new console, the only item on the console tree is a folder labeled Console Root. After you open a new console, you can create the administrative functions of the console by adding items to the console.

For instructions on adding items to a console, see

A console window does not have to be rooted on the console root; it can be rooted on any item in the console tree. This hides items in the console tree above the root and focuses the window on the new console root and any administrative tools under it.

For instructions on working with the console root, see

Containers on the console tree

A container is any item on the console tree to which objects are added. You click the plus sign Image of plus to expand a container and view its contents, and the minus sign Image of minus to collapse the container. The obvious container is a folder Image of folder, which you can use to group related items on a console tree. However, you can also use MMC to add objects to items other than folders, which then also become containers.

The console root in any console is a container; its only function is to contain the console tree. The top item in a snap-in is usually a folder or another container.

Another type of item that can contain other items is a viewable item. When you click a viewable item, it displays a list, text, or graphic information in the details pane rather than additional items. World Wide Web pages are viewable items because they require a browser, which can open only in the details pane. It is not recommended to add items to viewable items because a user can hide the console tree and may be unaware that a viewable item contains others items. Instead, if you have a collection of viewable items, you can add a folder to the console tree and group the viewable items in the folder. This allows a user to select from all the items when the console tree is hidden.

For instructions on hiding the console tree, see

One type of item that cannot contain other items is a leaf. When you click a leaf, it lists items in the details pane. These are normally items that can be individually contained on the console tree. However, when items number in the hundreds or thousands, a snap-in uses a leaf rather than a container.

Adding new functionality to a console

You may find that none of the snap-ins provided by the Add/Remove Snap-in command provide exactly the capabilities you require. Two possible solutions follow:

  • Check for additional snap-ins or extensions that may have been posted on the World Wide Web by Microsoft or other vendors.
  • Author your own extension to augment the functionality of an existing snap-in, or author a new stand-alone snap-in that provides entirely new functionality.

For more information about both of these options, see


MMC options

When building a custom console, you can assign the console one of two access options: author mode or user mode. There are, in turn, three levels of user mode, so that there are four options for default access to a console:

  • Author Mode
  • User Mode - Full Access
  • User Mode - Delegated Access, Multiple Window
  • User Mode - Delegated Access, Single Window

These options are configured in the Options dialog box. To view this dialog box, see

Assigning the Author Mode option to a console grants full access to all MMC functionality, including the ability to add or remove snap-ins, create new windows, and view all portions of the console tree.

Choosing one of the user mode options eliminates authoring features that the user does not need to perform administrative tasks. For instance, assigning the User Mode - Full Access option to a console provides all window management commands and full access to the console tree. However, this option prevents the user from adding or removing snap-ins or changing the console properties.

When the default mode for a console is set to Author Mode, MMC always opens the console in author mode. When the default mode for a console is in one of the user modes, you can use use the /a command-line option to open the console in author mode. This option overrides the mode setting in the console options. In Windows NT Explorer, you can also right-click an .msc console file and use the shortcut menu to open a console in author mode.

For more information about console modes and command-line syntax for MMC, see

Author mode functionality for MMC is normally unnecessary for users who do not need to create or change MMC consoles. A system administrator can set user profile settings to prevent users from opening MMC in author mode, by inhibiting the /a option or the shortcut menu option.


Using MMC

This section contains general information about using MMC:


Using MMC in user mode

Many users only need to access saved MMC consoles to administer a system and will never build custom consoles of their own. Users open saved consoles that have a default console mode set to one of the three user mode options. Saved consoles are available from the Administrative Tools (Common) and My Administrative Tools folders on the Start, Programs menu. You can also open consoles that were saved to other folders on your computer.

For instructions on using saved consoles, see

For more information about default console mode settings, see


Using MMC in Author Mode

This section contains general information about using MMC in author mode to create and modify custom consoles:

For more information about MMC in author mode, see


Creating MMC consoles

Before you create a new console, you need to identify the tasks the console will perform, the components to be administered, and the snap-ins and controls that will be used to perform the tasks. Then you can open a new console and start adding items to the console tree.

To create or edit a console, always open the console in author mode or use the command-line option /a. To view the correct syntax, see

Every snap-in, control, or World Wide Web page that you want in the console has to be added to the console tree. By logically organizing items on the tree hierarchically or in groups, you can display the organization of administrative functions, information, and tasks. This makes it easy for users to locate the components they need.

Adding items to the console tree

To add items to the console tree, you can use the Add/Remove Snap-in command on the Console menu of the main toolbar of MMC.

In the Add/Remove Snap-in dialog box, Snap-ins added to determines the item on the console tree under which new items are added. The default value is Console Root. You can click an item in Snap-ins added to to locate an object elsewhere on the console tree.

If you have already installed a snap-in, and you want to enable one of its extensions, you can use the Extensions tab in the Add/Remove Snap-in dialog box. From this tab, you can select any item in the console tree that has extensions and view the extensions that can be enabled or disabled. When you enable an extension, it is automatically located on the console tree under the selected item. If there is more than one instance of a snap-in on the console tree, all instances of the snap-in are extended.

Extensions are snap-ins themselves. After an extension is enabled, you may notice that it appears in Snap-ins that can be extended along with the stand-alone snap-ins. This means that the extension also has extensions that can be enabled.

For instructions on adding items to the console tree, see

Console tree view in a console window

The console tree, when it is visible, is always in the left pane of a console window. You can also hide the console tree. For instructions on hiding the console tree, see

What you view in a console window is determined by where the console window is rooted on the console tree. The initial window in a new console is rooted at Console Root, as are any windows you create with the New Window command on the Window menu on the main toolbar.

You can close console windows to hide the console root or entire portions of the console tree. You can then configure the console to prevent users from viewing hidden portions of the tree. However, the entire console tree is always saved when you save a console.

You can also rename the console root to indicate the purpose of the console.

For instructions on working with the console root, see

Rooting console windows on items in the console tree

While you can use MMC to make consoles that meet every administrative need for a group, you can also design simple consoles for less experienced users. For instance, after you add items to a console tree, you can open additional console windows rooted on any item in the console tree. You can use this method to create console windows that view specific administrative components of the console tree. Then you can close windows that show portions of the console tree that users do not need.

Closing a window does not remove any items from the console tree; when you close a window, you remove only that view of the console tree. The entire tree is still saved when you save the console, and you can always view the console root.

For instructions on changing the console root, see

For instructions on viewing a console root that is hidden, see


Saving consoles

Saving an MMC console to a file preserves the console's list of loaded snap-ins, the arrangement and contents of console windows in the main MMC window, mode and access level, and information about permissions.

Console files have an .msc extension which stands for management saved console. Saved consoles are available from the Administrative Tools (Common) and My Administrative Tools folders on the Start, Programs menu. After you save a console, you can distribute it by using a floppy disk, e-mail, or your network.

For more information, see


Distributing and using MMC consoles

MMC consoles are saved as console files with an .msc extension. After you save a console, you can use it on your local computer, send it to others, post it on your network or the World Wide Web, or install it on users' computers.

Requirements to use a console

To use a console, a user must have access to the services and administrative tools included in the console, either installed on the local computer or available on the network. The user must also have administrative permissions for the components on the system that is administered by the console.

Opening a saved console

If you have created and saved a console, it is available by default from the My Administrative Tools folder. If you have received a console from an administrator, the administrator may have added the console to the My Administrative Tools folder or the Administrative Tools (Common) folder. If you do not know where the console is located, ask your administrator.

If you know the name and location of a console file, you can open it as you would any other document in Windows NT Explorer. You can also use the command prompt to open the console.

For more information about opening consoles, see and


Using the MMC Help system

You can access Help for MMC from the Help menu on the main toolbar, from the Help button button on the toolbar of the MMC window or a console window, on the system menu of the MMC window or a console window, or by pressing the F1 key.

Help for MMC displays a combined table of contents that includes general Help for MMC and Help specific to each snap-in included in the console. Snap-in Help is provided only for existing Help files that were associated to snap-ins by their authors. If you are authoring a console, you may want to provide Help or documentation for tasks associated with the console or provide information specifically related to your network.


Resources

For more information about Microsoft Management Console, try the following resources:

  • The Microsoft Knowledge Base (KB) contains articles written by the support professionals at Microsoft. This resource is available from several different sources, including the Internet (full-text search capabilities for WWW browsers on http://www.microsoft.com/support), several online services, and CD-ROM subscription services, such as Microsoft TechNet.
  • The Microsoft Management Console home page contains information for snap-in authors and developers. This resource is available from http://www.microsoft.com/management/mmc.


Accessibility for MMC

In addition to Microsoft Windows or Windows NT accessibility products and services, MMC provides keyboard shortcuts for choosing commands and for navigating in and between console windows. You can click one of the following categories to view a list of keyboard shortcuts for MMC:

Snap-ins and other components added to an MMC console may also provide accessibility features. For more information, refer to the Help or other documentation for the component.


Navigation in MMC

You move through the the MMC console tree by expanding and collapsing branches as needed with the plus sign (+) and minus sign (-) keys or by clicking and double-clicking with the mouse. The following table lists the keystrokes you can use to move in and between console windows.

Action | Result
TAB or F6 | Moves forward between panes in the active console window.
SHIFT+TAB or SHIFT+F6 | Moves backward between panes.
CTRL+TAB or CTRL+F6 | Moves forward between console windows.
CTRL+SHIFT+TAB or CTRL+SHIFT+F6 | Moves backward between console windows.
+ on numeric keypad | Expands the selected item.
- on numeric keypad | Collapses the selected item.
* on numeric keypad | Expands the entire console tree below the root item in the active console window.
UP arrow | Moves the selection up one item in a pane.
DOWN arrow | Moves the selection down one item in a pane.
PAGE UP | Moves the selection to the top item visible in a pane.
PAGE DOWN | Moves the selection to the bottom item visible in a pane.
HOME | Moves the selection to the first item in a pane.
END | Moves the selection to the last item in a pane.
RIGHT arrow | Expands the selected item. If the selected item doesn't contain hidden items, behaves like the DOWN arrow.
LEFT arrow | Collapses the selected item. If the selected item doesn't contain exposed items, behaves like the UP arrow.

The following table lists the mouse actions you can use to move through the MMC console tree.

Action | Result
Click | Selects an item.
Double-click | Displays or hides items contained by the selected item. Displays properties for or opens an item.
Right-click | Displays the Action shortcut menu for the selected item.

Note

  • If the mouse buttons do not behave as indicated here, the right and left buttons may have been switched. The computer you are using may have been reconfigured so that the default actions obtained with the left and right mouse buttons are reversed.


MMC main window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the entire console or the main window of a console.

Action | Result
CTRL+O | Opens a saved console.
CTRL+N | Opens a new console.
CTRL+S | Saves the open console.
CTRL+M | Adds or removes a snap-in.
CTRL+W | Opens a new window.
F5 | Refreshes the content of all console windows.
ALT+SPACEBAR | Displays the MMC window menu.
ALT+F4 | Closes the active console.


MMC console window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the active console window in a console or on the contents of a console window.

Action | Result
CTRL+P | Prints the current page or active pane.
ALT+ MINUS SIGN | Displays the window menu for the active console window.
SHIFT+F10 | Displays the Action shortcut menu for the selected item.
ALT+A | Displays the Action menu for the active console window.
ALT+V | Displays the View menu for the active console window.
F1 | Opens the Help topic, if any, for the selected item.
F5 | Refreshes the content of all console windows.
CTRL+F10 | Maximizes the active console window.
CTRL+F5 | Restores the active console window.
ENTER | Displays the properties dialog box for or opens the selected item.
F2 | Renames selected item.
CTRL+F4 | Closes the active console window. When a console has only one console window, this closes the console.


Troubleshooting MMC

This section contains general troubleshooting information for MMC.

If you cannot find Help for a snap-in

If you add a snap-in to a console, but then cannot find Help for the snap-in, the snap-in may not be providing a Help file to merge into the MMC Help table of contents. Instead, the snap-in may be providing its own Help. Click the item in the console tree for which you want Help, and then click the Help menu. If a snap-in provides its own Help, a separate command for the snap-in Help is displayed on the Help menu above the Help Topics command. If you do not see an additional command, then no Help may be available for the snap-in.

If a snap-in isn't listed in the Add Standalone Snap-in dialog box

If the snap-in you want to add to a console does not appear in the Add Standalone Snap-in dialog box, it may be because the corresponding service or software has not been installed on your computer. You must install the component to view its snap-in.

For instructions on installing a component, see


Windows NT Administrative Tool not found

The tool you are trying to open could not be found on your computer.

The administrative tool that you've requested is not available. To find out more about loading and using snap-ins and other items in an MMC console, see


Creating and Opening MMC Consoles

Microsoft Management Console (MMC) hosts administrative tools, such as snap-ins, that users and system administrators can use to administer both local and remote computers. Your Windows NT system may already have administrative tools that have been saved as console files. These are available from the Administrative Tools (Common) and My Administrative Tools folders on the Start, Programs menu. In addition, administrators can create custom administrative tools by using MMC and distribute these tools to users.

For detailed instructions on how to open an MMC console , see Related Topics.